Get customer rewards
curl --request POST \
--url https://mention-me.com/api/merchant/v2/customers/rewards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": {
"type": "email",
"value": ""
}
}
'import requests
url = "https://mention-me.com/api/merchant/v2/customers/rewards"
payload = { "identifier": {
"type": "email",
"value": ""
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: {type: 'email', value: ''}})
};
fetch('https://mention-me.com/api/merchant/v2/customers/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"customer": {
"customerId": "CUST-1234",
"email": "email@mention-me.com",
"firstname": "Jane",
"surname": "Doe",
"phoneNumbers": [
"+447123456789",
"+447987654321"
],
"profileUrl": "https://mention-me.com/merchant/123/customers/43211234"
},
"rewards": [
{
"id": 123,
"fulfilledBy": "<string>",
"amount": 100,
"description": "<string>",
"beforePurchase": true,
"minimumFriendsRequired": 123,
"spendConstraint": 50,
"callToActionUrl": "https://www.your-website.com/new-customer-welcome",
"couponCode": "ABC-DEF-1234",
"couponLink": "https://www.your-website.com/redeem?code=ABC-DEF-1234",
"securityCode": "12345",
"expiryDate": "2023-11-07T05:31:56Z"
}
]
}
}{
"status": 401,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "Unauthorized",
"detail": "Missing at least one of the required scopes"
}{
"status": 399,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "<string>",
"detail": "<string>"
}{
"status": 401,
"type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
"title": "Too Many Requests",
"detail": "Rate limit exceeded for Client Id"
}Customers
Get customer rewards
Returns all rewards a customer has been given.
Rewards that are fulfilled outside of Mention Me will not be returned.
Scopes: customers:read, rewards:read
Rate limits: 300 requests per 5 minutes. Shared across all ‘rewards’ endpoints.
POST
/
api
/
merchant
/
v2
/
customers
/
rewards
Get customer rewards
Authorizations
RFC8725 Compliant JWT
Body
application/json
A customer email address.
Show child attributes
Show child attributes
Response
The rewards issued to the customer matching the identifier.
An object representing the customer and the rewards they were given
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I